#-------------------------------------------------
#
# Project created by QtCreator 2023-06-26T14:33:36
#
#-------------------------------------------------

QT       -= gui

TARGET = mmslib
TEMPLATE = lib
CONFIG += staticlib
DEFINES += DEBUG_SISCO MOSI LEAN_T MVL_UCA MMS_LITE TP0_ENABLED
DEFINES += STDTIME_ANSI
DEFINES += S_MT_SUPPORT
DEFINES += S_MT_SUPPORT S_MT_SUPPORT_RXB
#DEFINES += WIN32_LEAN_AND_MEAN

INCLUDEPATH += ./inc
INCLUDEPATH += ./inc/mmsop_en

	include(fe_common.pri)
	
SOURCES += \
    mmslib.cpp \
    asn1/asn1r.c \
    asn1/are_vstr.c \
    asn1/are_utc.c \
    asn1/are_time.c \
    asn1/are_ostr.c \
    asn1/are_objd.c \
    asn1/are_int.c \
    asn1/are_flt.c \
    asn1/are_delm.c \
    asn1/are_btod.c \
    asn1/are_bstr.c \
    asn1/are_bool.c \
    asn1/ard_vstr.c \
    asn1/ard_utc.c \
    asn1/ard_time.c \
    asn1/ard_strn.c \
    asn1/ard_ostr.c \
    asn1/ard_objd.c \
    asn1/ard_int.c \
    asn1/ard_idnt.c \
    asn1/ard_flt.c \
    asn1/ard_delm.c \
    asn1/ard_btod.c \
    asn1/ard_bstr.c \
    asn1/ard_bool.c \
    mem/mem_chks.c \
    mmsl/rs_write.c \
    mmsl/rs_ustat.c \
    mmsl/rs_trige.c \
    mmsl/rs_stat.c \
    mmsl/rs_repee.c \
    mmsl/rs_repec.c \
    mmsl/rs_repea.c \
    mmsl/rs_read.c \
    mmsl/rs_namel.c \
    mmsl/rs_init.c \
    mmsl/rs_info.c \
    mmsl/rs_ident.c \
    mmsl/rs_getvl.c \
    mmsl/rs_getva.c \
    mmsl/rs_getty.c \
    mmsl/rs_getpi.c \
    mmsl/rs_getee.c \
    mmsl/rs_getec.c \
    mmsl/rs_getea.c \
    mmsl/rs_getdo.c \
    mmsl/rs_getcl.c \
    mmsl/rs_evnot.c \
    mmsl/rs_defee.c \
    mmsl/rs_concl.c \
    mmsl/rs_cancl.c \
    mmsl/rs_ackev.c \
    mmsl/rq_write.c \
    mmsl/rq_ustat.c \
    mmsl/rq_trige.c \
    mmsl/rq_stat.c \
    mmsl/rq_repee.c \
    mmsl/rq_repec.c \
    mmsl/rq_repea.c \
    mmsl/rq_read.c \
    mmsl/rq_namel.c \
    mmsl/rq_init.c \
    mmsl/rq_info.c \
    mmsl/rq_ident.c \
    mmsl/rq_getvl.c \
    mmsl/rq_getva.c \
    mmsl/rq_getty.c \
    mmsl/rq_getpi.c \
    mmsl/rq_getee.c \
    mmsl/rq_getec.c \
    mmsl/rq_getea.c \
    mmsl/rq_getdo.c \
    mmsl/rq_getcl.c \
    mmsl/rq_evnot.c \
    mmsl/rq_defee.c \
    mmsl/rq_concl.c \
    mmsl/rq_cancl.c \
    mmsl/rq_ackev.c \
    mmsl/msdataas.c \
    mmsl/ms_tdef4.c \
    mmsl/ms_tdef2.c \
    mmsl/ms_tdef.c \
    mmsl/ms_size.c \
    mmsl/ms_ext.c \
    mmsl/mmsstat.c \
    mmsl/mmslvar.c \
    mmsl/mmsl_fin.c \
    mmsl/mmsinit.c \
    mmsl/mmsdtext.c \
    mmsl/mmsdec.c \
    mmsl/mmsdatat.c \
    mmsl/mmsdata.c \
    mmsl/mmsconcl.c \
    mmsl/mmscancl.c \
    mmsl/mms_tdef.c \
    mmsl/mms_rtaa.c \
    mmsl/mms_rej.c \
    mmsl/mms_err4.c \
    mmsl/mms_err3.c \
    mmsl/mms_err2.c \
    mmsl/mms_err.c \
    mmsl/mms_ced7.c \
    mmsl/mms_ced6.c \
    mmsl/mms_ced5.c \
    mmsl/mms_ced4.c \
    mmsl/mms_ced3.c \
    mmsl/mms_ced.c \
    mmsl/mms_aref.c \
    mmsl/mms_alta.c \
    mmsl/mms_adl.c \
    mmsle/rs_uploa.c \
    mmsle/rs_termu.c \
    mmsle/rs_termd.c \
    mmsle/rs_takec.c \
    mmsle/rs_store.c \
    mmsle/rs_stop.c \
    mmsle/rs_start.c \
    mmsle/rs_rssta.c \
    mmsle/rs_rspoo.c \
    mmsle/rs_rsent.c \
    mmsle/rs_resum.c \
    mmsle/rs_reset.c \
    mmsle/rs_renam.c \
    mmsle/rs_relct.c \
    mmsle/rs_rdupl.c \
    mmsle/rs_rddwn.c \
    mmsle/rs_outpu.c \
    mmsle/rs_obtfi.c \
    mmsle/rs_loadd.c \
    mmsle/rs_kill.c \
    mmsle/rs_jwrit.c \
    mmsle/rs_jstat.c \
    mmsle/rs_jread.c \
    mmsle/rs_jinit.c \
    mmsle/rs_jdele.c \
    mmsle/rs_jcrea.c \
    mmsle/rs_input.c \
    mmsle/rs_initu.c \
    mmsle/rs_initd.c \
    mmsle/rs_getsc.c \
    mmsle/rs_getas.c \
    mmsle/rs_getae.c \
    mmsle/rs_frena.c \
    mmsle/rs_fread.c \
    mmsle/rs_fopen.c \
    mmsle/rs_fdir.c \
    mmsle/rs_fdele.c \
    mmsle/rs_fclos.c \
    mmsle/rs_downl.c \
    mmsle/rs_delvl.c \
    mmsle/rs_delva.c \
    mmsle/rs_delty.c \
    mmsle/rs_delse.c \
    mmsle/rs_delpi.c \
    mmsle/rs_delee.c \
    mmsle/rs_delec.c \
    mmsle/rs_delea.c \
    mmsle/rs_deldo.c \
    mmsle/rs_defvl.c \
    mmsle/rs_defva.c \
    mmsle/rs_defty.c \
    mmsle/rs_defse.c \
    mmsle/rs_defsc.c \
    mmsle/rs_defec.c \
    mmsle/rs_defea.c \
    mmsle/rs_crepi.c \
    mmsle/rs_altee.c \
    mmsle/rs_altec.c \
    mmsle/rq_uploa.c \
    mmsle/rq_termu.c \
    mmsle/rq_termd.c \
    mmsle/rq_takec.c \
    mmsle/rq_store.c \
    mmsle/rq_stop.c \
    mmsle/rq_start.c \
    mmsle/rq_rssta.c \
    mmsle/rq_rspoo.c \
    mmsle/rq_rsent.c \
    mmsle/rq_resum.c \
    mmsle/rq_reset.c \
    mmsle/rq_renam.c \
    mmsle/rq_relct.c \
    mmsle/rq_rdupl.c \
    mmsle/rq_rddwn.c \
    mmsle/rq_outpu.c \
    mmsle/rq_obtfi.c \
    mmsle/rq_loadd.c \
    mmsle/rq_kill.c \
    mmsle/rq_jwrit.c \
    mmsle/rq_jstat.c \
    mmsle/rq_jread.c \
    mmsle/rq_jinit.c \
    mmsle/rq_jdele.c \
    mmsle/rq_jcrea.c \
    mmsle/rq_input.c \
    mmsle/rq_initu.c \
    mmsle/rq_initd.c \
    mmsle/rq_getsc.c \
    mmsle/rq_getas.c \
    mmsle/rq_getae.c \
    mmsle/rq_frena.c \
    mmsle/rq_fread.c \
    mmsle/rq_fopen.c \
    mmsle/rq_fdir.c \
    mmsle/rq_fdele.c \
    mmsle/rq_fclos.c \
    mmsle/rq_downl.c \
    mmsle/rq_delvl.c \
    mmsle/rq_delva.c \
    mmsle/rq_delty.c \
    mmsle/rq_delse.c \
    mmsle/rq_delpi.c \
    mmsle/rq_delee.c \
    mmsle/rq_delec.c \
    mmsle/rq_delea.c \
    mmsle/rq_deldo.c \
    mmsle/rq_defvl.c \
    mmsle/rq_defva.c \
    mmsle/rq_defty.c \
    mmsle/rq_defse.c \
    mmsle/rq_defsc.c \
    mmsle/rq_defec.c \
    mmsle/rq_defea.c \
    mmsle/rq_crepi.c \
    mmsle/rq_altee.c \
    mmsle/rq_altec.c \
    mmsle/mms_ced2.c \
    mmsle/mms_ced1.c \
    mvlu/sclproc.c \
    mvlu/s_write.c \
    mvlu/s_status.c \
    mvlu/s_read.c \
    mvlu/s_obtfi.c \
    mvlu/s_jstat.c \
    mvlu/s_jread.c \
    mvlu/s_jinit.c \
    mvlu/s_info.c \
    mvlu/s_ident.c \
    mvlu/s_getvla.c \
    mvlu/s_getvaa.c \
    mvlu/s_getnam.c \
    mvlu/s_getdom.c \
    mvlu/s_getcl.c \
    mvlu/s_fren.c \
    mvlu/s_fread.c \
    mvlu/s_fopen.c \
    mvlu/s_fdir.c \
    mvlu/s_fdel.c \
    mvlu/s_fclose.c \
    mvlu/s_delvl.c \
    mvlu/s_defvl.c \
    mvlu/s_concl.c \
    mvlu/s_cancel.c \
    mvlu/mvluleaf.c \
    mvlu/mvlu_sbo.c \
    mvlu/mvlu_rt.c \
    mvlu/mvlu_rpt.c \
    mvlu/mvl61850_rpt.c \
    mvlu/mvl61850_ctl.c \
    mvlu/mvl61850.c \
    mvlu/mvl_var.c \
    mvlu/mvl_uca.c \
    mvlu/mvl_type.c \
    mvlu/mvl_typ2.c \
    mvlu/mvl_serv.c \
    mvlu/mvl_send.c \
    mvlu/mvl_objb.c \
    mvlu/mvl_obj.c \
    mvlu/mvl_ijou.c \
    mvlu/mvl_dtyp.c \
    mvlu/mvl_buf.c \
    mvlu/c_write.c \
    mvlu/c_status.c \
    mvlu/c_read.c \
    mvlu/c_obtfi.c \
    mvlu/c_jstat.c \
    mvlu/c_jread.c \
    mvlu/c_jinit.c \
    mvlu/c_info.c \
    mvlu/c_ident.c \
    mvlu/c_getvla.c \
    mvlu/c_getvar.c \
    mvlu/c_getnam.c \
    mvlu/c_getdom.c \
    mvlu/c_fren.c \
    mvlu/c_fread.c \
    mvlu/c_fopen.c \
    mvlu/c_fget.c \
    mvlu/c_fdir.c \
    mvlu/c_fdel.c \
    mvlu/c_fclose.c \
    mvlu/c_delvl.c \
    mvlu/c_defvl.c \
    mvlu/c_concl.c \
    ositcps/tpx_dec.c \
    ositcps/tp4port.c \
    ositcps/tp4_enc.c \
    ositcps/tp0main.c \
    ositcps/tp0callg.c \
    ositcps/tp0calld.c \
    ositcps/tp0_socks.c \
    ositcps/tp0_dec.c \
    ositcps/osicfgx.c \
    ositcps/lean_var.c \
    ositcps/lean_cfg.c \
    ositcps/cospmain.c \
    ositcps/cosp_enc.c \
    ositcps/cosp_dec.c \
    ositcps/coppdcpr.c \
    ositcps/coppdcp.c \
    ositcps/coppdaru.c \
    ositcps/copp_enc.c \
    ositcps/copp_dec.c \
    ositcps/checksum.c \
    ositcps/acse2var.c \
    ositcps/acse2enc.c \
    ositcps/acse2dib.c \
    ositcps/acse2dec.c \
    slog/slogmem.c \
    slog/slogipcs.c \
    slog/sloghex.c \
    slog/slogfil.c \
    slog/slog.c \
    slog/qmem.c \
    ssec0/ssecusr0.c \
    util/time_str.c \
    util/sx_enc.c \
    util/sx_dec.c \
    util/sx_data.c \
    util/sx_axs4d.c \
    util/str_util.c \
    util/stime.c \
    util/stdtime_w32.c \
    util/stdtime_quadlib.c \
    util/stdtime_mms_utctime.c \
    util/stdtime_mms_btime.c \
    util/stdtime.c \
    util/sclstore.c \
    util/sclparse.c \
    util/scl_log.c \
    util/glbsem_unix.c \
    util/glbsem.c \
    util/gensock2.c \
    util/genlists.c \
    util/cfg_util.c

HEADERS += mmslib.h \
    inc/tp4api.h \
    inc/tp4_log.h \
    inc/tp4_encd.h \
    inc/tp4.h \
    inc/tp0_sock.h \
    inc/time_str.h \
    inc/sysincs.h \
    inc/sx_log.h \
    inc/sx_defs.h \
    inc/sx_arb.h \
    inc/STR_UTIL.H \
    inc/stime.h \
    inc/stdtime_w32.h \
    inc/stdtime_tzrules.h \
    inc/stdtime_timezone_csv.h \
    inc/stdtime_stdint.h \
    inc/stdtime_quadlib.h \
    inc/stdtime_mms_utctime.h \
    inc/stdtime_mms_btime.h \
    inc/stdtime_enum_func.h \
    inc/stdtime_enum_err.h \
    inc/stdtime_endian.h \
    inc/stdtime_config.h \
    inc/stdtime.h \
    inc/ssleLog.h \
    inc/ssec_int.h \
    inc/ssec.h \
    inc/sock_log.h \
    inc/smpval.h \
    inc/smp_usr.h \
    inc/smp_log.h \
    inc/smp.h \
    inc/Smem.h \
    inc/slog.h \
    inc/scrndefs.h \
    inc/scl.h \
    inc/rs_defs.h \
    inc/rs_a.h \
    inc/qmem.h \
    inc/osillc.h \
    inc/ntddosi.h \
    inc/mvl_uca.h \
    inc/mvl_log.h \
    inc/MVL_DEFS.H \
    inc/mvl_acse.h \
    inc/mmslusec.h \
    inc/mmslog.h \
    inc/mmsldefs.h \
    inc/mmsintr2.h \
    inc/mmsefun.h \
    inc/mmsdefs.h \
    inc/mms_vvar.h \
    inc/mms_pvmd.h \
    inc/mms_pvar.h \
    inc/mms_psem.h \
    inc/mms_pprg.h \
    inc/mms_pocs.h \
    inc/mms_pjou.h \
    inc/mms_pfil.h \
    inc/mms_pevn.h \
    inc/mms_perr.h \
    inc/mms_pdom.h \
    inc/mms_pcon.h \
    inc/mms_mp.h \
    inc/mms_log.h \
    inc/mms_err.h \
    inc/mms_dfun.h \
    inc/mms_def2.h \
    inc/mloguser.h \
    inc/memlog.h \
    inc/mem_chk.h \
    inc/llcioctl.h \
    inc/llcio.h \
    inc/lean_a.h \
    inc/gvaldefs.h \
    inc/gse_mgmt.h \
    inc/Goose.h \
    inc/glbtypes.h \
    inc/glbsem.h \
    inc/glbopt.h \
    inc/glberror.h \
    inc/gensock2.h \
    inc/gen_list.h \
    inc/fkeydefs.h \
    inc/ExceptionReport.h \
    inc/ethsub.h \
    inc/ethertyp.h \
    inc/dibmatch.h \
    inc/cosp_usr.h \
    inc/cosp_log.h \
    inc/cosp.h \
    inc/copp_usr.h \
    inc/copp_log.h \
    inc/copp.h \
    inc/conpack.h \
    inc/clnpport.h \
    inc/clnp_usr.h \
    inc/clnp_tnt.h \
    inc/clnp_sta.h \
    inc/clnp_sne.h \
    inc/clnp_log.h \
    inc/clnp_llc.h \
    inc/clnp.h \
    inc/checksum.h \
    inc/cfglog.h \
    inc/cfg_util.h \
    inc/asn1r.h \
    inc/asn1log.h \
    inc/asn1defs.h \
    inc/arg.h \
    inc/adlc_usr.h \
    inc/adlc_sts.h \
    inc/adlc_sm.h \
    inc/adlc_log.h \
    inc/adlc_dsm.h \
    inc/adlc.h \
    inc/acseauth.h \
    inc/acse2usr.h \
    inc/acse2log.h \
    inc/acse2.h \
    inc/mmsop_en/mmsop_en.h
unix:!symbian {
    maemo5 {
        target.path = /opt/usr/lib
    } else {
        target.path = /usr/lib
    }
    INSTALLS += target
}
